package p09_funkcje;

public class SilniaRekDoDebugowania {
	static long silniaRek(int n) {
		if(n <= 1) return 1;
		return n * silniaRek(n-1);
	}
	// silniaRek(4)
	// return 4 * silniaRek(3)
	//            return 3 * silniaRek(2)
	//                       → return 2 * silniaRek(1)
	//                                    → return 1
	//                                2 * 1
	//                         return 2
	//            return 3 * 2
	//            return 6
	// return 4 * 6
	// return 24
	
	public static void main(String[] args) {
		silniaRek(4);
	}

}
